<?php
/**
 *
 * @author	ahrasis http://support.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	STFS: Smart Title For SEO 
 *
 **/

if (!defined('ELK'))
	die('No access...');

function STFS_Titles($buffer)
{
	global $modSettings, $context, $topic, $board_info;

	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$stfs = array();
	if (!empty($modSettings['stfs_enable'])) {
		// Define default old and new title
		$title_old = '<title>' . $context['page_title_html_safe'] . '</title>';
		if (empty($context['page_title_html_safe']))
			$title_new = '<title>' . $context['forum_name'] . '</title>';
		// Define other conditions
		if (!empty($context['page_title_html_safe']))
			$title_new = '<title>' . $context['forum_name'] . ' - ' . $context['page_title_html_safe'] . '</title>';
		if (!empty($context['page_title_html_safe'])&& !empty($topic) && !empty($modSettings['stfs_showboard']))
			$title_new = '<title>' . $context['forum_name'] . ' - ' . $board_info['name'] . ' - ' . $context['page_title_html_safe'] . '</title>';
		// Reverse the above
		if (!empty($context['page_title_html_safe']) && !empty($modSettings['stfs_reverse']))
			$title_new = '<title>' . $context['page_title_html_safe'] . ' - ' . $context['forum_name'] . '</title>';
		if (!empty($context['page_title_html_safe'])&& !empty($topic) && !empty($modSettings['stfs_showboard']) && !empty($modSettings['stfs_reverse']))
			$title_new = '<title>' . $context['page_title_html_safe'] . ' - ' . $board_info['name'] . ' - ' . $context['forum_name'] . '</title>';
		// Now let's change the title, if we're allowed to
		$stfs[$title_old] = $title_new;
	}
	return str_replace(array_keys($stfs), array_values($stfs), $buffer);
}

function STFS_Texts()
{
	// Load language(s)
	loadLanguage('STFS/STFS');
}

function STFS_Settings(&$config_vars)
{
	$stfs = array(
		array('check', 'stfs_enable', 'onchange' => 'showSTFSOptions()'),
		array('check', 'stfs_showboard'),
		array('check', 'stfs_reverse'),
		'',
	);
	
	// Show hide code tied to checkbox
	addInlineJavascript('
		function showSTFSOptions() {
			var enabled = document.getElementById("stfs_enable").checked;
			if (enabled) {
				$("#stfs_showboard").parent().show();
				$("#stfs_reverse").parent().show();
				$("#setting_stfs_showboard").parent().show();
				$("#setting_stfs_reverse").parent().show();
			}	
			else {
				$("#stfs_showboard").parent().hide();
				$("#stfs_reverse").parent().hide();
				$("#setting_stfs_showboard").parent().hide();
				$("#setting_stfs_reverse").parent().hide();
			}
		}
		function hideSTFSOptions() {showSTFSOptions();}
		hideSTFSOptions();', true
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $stfs);
}

?>